

import '../../../../apiResponse.dart';
import '../../webdavApi.dart';
import 'downloadFileParams.dart';

class DownloadFile extends WebdavApi<DownloadFileParams> {
  DownloadFileParams params;

  DownloadFile(this.params) : super(params);

  @override
  Future<ApiResponse> run() async {

    // final file = await File(localPath).create();
    // Uint8List downloadedFile = await (await WebdavApi.webdav).download(params.webdavPath);
    // file.writeAsBytesSync(downloadedFile, flush: true, mode: FileMode.write);
    //
    // OpenFile.open(localPath);
    throw UnimplementedError();
  }
}
